Please type a directory that contains a Bitnami installation

Type: Bitnami Support Tool

Description:
Cannot run support tool. Cannot run cert tool. Can’t run anything. Wordpress will load when entering domain into browser, but any command entered in server generates error: “Please type a directory that contains a Bitnami installation. The default
installation directory for Linux installers is a directory inside /opt”

/opt/bitnami does not work. /opt/bitnami/wordpress does not work. /opt/bitnami/apache does not work.

Hello @Riverbound,

We are investigating this error. As workaround, could you please enter this code in your /opt/bitnami/properties.ini?

installdir=/opt/bitnami

Regards

From davidg

Hi, we have identified the problem reported in the first message of this topic, and released a new version of the bndiagnostic (0.9.17) and bncert (0.7.2) tools with a fix for the errors. If you launch the current version of the tool, it should detect the new version and attempt to download it.

When will new tools be integrated into images? It seems to impact most or all of them.

I don’t know when the fixed images will be released but editing /opt/bitnami/properties.ini to include installdir=/opt/bitnami and then running sudo /opt/bitnami/bncert-tool (and allowing it to upgrade) might get it working for you again.

Hi all, as mentioned previously in this thread, we have identified the problem reported in the first message of this topic, and released a new version of the bndiagnostic (0.9.17) and bncert (0.7.2) tools with a fix for the errors. If you launch the current version of the tool, it should detect the new version and attempt to download it.

If it doesn’t detect it, you can always download the bndiagnostic tool manually:

https://downloads.bitnami.com/files/bndiagnostic/0.9.17/bndiagnostic-0.9.17-linux-x64.run
md5: e813e84f0fad054e39eba4508157b489

And for bncert:

https://downloads.bitnami.com/files/bncert/0.7.2/bncert-0.7.2-linux-x64.run
md5: 7170b9d68641f5a045a5e6e4b5772a3a